Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

service_account_id
string<uuid>
required

The ID of the service account whose credentials to list.

Query Parameters

pagination.page
string
pagination.limit
integer<int32>
pagination.as_of_time
string<date-time>
pagination.sort_order
enum<string>
  • ASC: Sort in ascending order. This is the default unless otherwise specified.
  • DESC: Sort in descending order.
Available options:
ASC,
DESC
status_filter
enum<string>

Optional filter by credential status. Defaults to returning all credentials, active and disabled.

  • ACTIVE: Only active (not disabled) credentials.
  • DISABLED: Only disabled credentials.
Available options:
ACTIVE,
DISABLED

Response

A successful response.

credentials
ServiceAccountCredential · object[]
required

The service account's credentials, ordered by created_at.

pagination
object